[arch-commits] Commit in snort/trunk (PKGBUILD snort.install)

Hugo Doria hugo at archlinux.org
Wed Jul 16 15:36:47 EDT 2008


    Date: Wednesday, July 16, 2008 @ 15:36:46
  Author: hugo
Revision: 5489

snort.install changed

Modified:
  snort/trunk/PKGBUILD
  snort/trunk/snort.install

---------------+
 PKGBUILD      |   20 ++++++++++----------
 snort.install |    4 ++--
 2 files changed, 12 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-16 19:13:57 UTC (rev 5488)
+++ PKGBUILD	2008-07-16 19:36:46 UTC (rev 5489)
@@ -6,7 +6,7 @@
 
 pkgname=snort
 pkgver=2.8.2.1
-pkgrel=5
+pkgrel=6
 pkgdesc="A lightweight network intrusion detection system"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -29,20 +29,20 @@
          '5a0e91513e05942612d70d36c2983968')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd ${srcdir}/${pkgname}-${pkgver}
 
-  patch -Np0 < ${startdir}/snort.conf.patch || return 1
+  patch -Np0 < ${srcdir}/snort.conf.patch || return 1
 
   ./configure --prefix=/usr --sysconfdir=/etc/snort --with-libpcap-includes=/usr/include/pcap \
   --without-mysql --without-postgresql --without-oracle --without-odbc
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=${pkgdir} install
 
-  mkdir -p $startdir/pkg/{etc/rc.d,etc/snort/rules}
+  mkdir -p ${pkgdir}/{etc/rc.d,etc/snort/rules}
 
-  install -d -m744 -o snort -g snort $startdir/pkg/var/log/snort
-  install -D -m644 etc/{*.conf*,*.map} $startdir/pkg/etc/snort
-  install -D -m644 ../../snort.conf.d $startdir/pkg/etc/conf.d/snort
-  install -D -m644 $startdir/src/rules/*.rules $startdir/pkg/etc/snort/rules
-  install -D -m755 $startdir/snort $startdir/pkg/etc/rc.d/snort
+  install -d -m744 -o snort -g snort ${pkgdir}/var/log/snort
+  install -D -m644 etc/{*.conf*,*.map} ${pkgdir}/etc/snort
+  install -D -m644 ${srcdir}/snort.conf.d ${pkgdir}/etc/conf.d/snort
+  install -D -m644 ${srcdir}/rules/*.rules ${pkgdir}/etc/snort/rules
+  install -D -m755 ${srcdir}/snort ${pkgdir}/etc/rc.d/snort
 }

Modified: snort.install
===================================================================
--- snort.install	2008-07-16 19:13:57 UTC (rev 5488)
+++ snort.install	2008-07-16 19:36:46 UTC (rev 5489)
@@ -8,8 +8,8 @@
   
   echo
   echo ">>> You have to edit the HOME_NET variable in the /etc/snort/snort.conf \
-file to reflect your local network"
-  echo ">>> If you do not change it, snort my not work "
+file to reflect your local network."
+  echo ">>> If you do not change it, snort may not work."
 }
 
 post_upgrade() {





More information about the arch-commits mailing list